{% extends "customers/base.html" %}
{% load i18n %}
{% load staticfiles %}
{% load active_tag %}
{% load md2 %}
{% load humanize %}

{% block title %}Reportes{% endblock %}

{% block pagelevelcss %}
<link href="{% static 'theme/plugins/c3/c3.min.css' %}" rel="stylesheet" type="text/css">
{% endblock %}

{% block page %}
<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
	<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
	<li class="breadcrumb-item active">Permanencia de clinetes</li>
</ol>
<!-- end breadcrumb -->

<!-- begin page-header -->
<h1 class="page-header">Permanencia de clientes <small>Servicios</small></h1>
<!-- end page-header -->

<!-- begin row -->
<!-- <div class="row">
	<div class="col-xl-12 ui-sortable">
		<center>
			<img src="data:image/png;base64,{{ graphic|safe }}">
		</center>
	</div>
</div> -->
<div class="row">
	<!-- begin col-12 -->
	<div class="col-xl-12 ui-sortable">
		<!-- begin panel -->
		<div class="panel panel-inverse" data-sortable-id="ui-general-1">
			<!-- begin panel-heading -->
			<div class="panel-heading ui-sortable-handle">
				<h4 class="panel-title">Permanencia de clientes</h4>
				<div class="panel-heading-btn">
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i
							class="fa fa-expand"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i
							class="fa fa-redo"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i
							class="fa fa-minus"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i
							class="fa fa-times"></i></a>
				</div>
			</div>
			<!-- end panel-heading -->
			<!-- begin panel-body -->
			<div class="panel-body">
				<div class="row mb-3 m-l-10">
					<div class="col-2">
						<form>
							<div class="form-group m-r-10">
								<label for="status" class="control-label m-r-10">Estatus</label>
								<select id="status" class="form-control">
									<option value="">Todos</option>
									{% for status in status_options %}
									<option value="{{status.key}}">{{status.value}}</option>
									{% endfor %}
								</select>
							</div>
							<div class="form-group m-r-10">
								<label for="interval" class="control-label m-r-10">Intérvalo</label>
								<select id="interval" class="form-control">
									<option value="">Todos</option>
									{% for interval in interval_options %}
									<option value="{{interval.0}}">{{interval.1}}</option>
									{% endfor %}
								</select>
							</div>
							<div class="form-group m-r-10">
								<button id="export" type="button" class="btn btn-outline-success">
									<h3><i class="fa fa-file-excel" aria-hidden="true"></i></h3>
									Exportar consulta actual
								</button>
							</div>
						</form>
					</div>
					<div class="col-8">
						<img src="data:image/png;base64,{{ graphic|safe }}" class="img-fluid rounded float-right"
							alt="Gráfico del reporte">
					</div>
				</div>
				<div>
					<table class="table" id="duration-list">
						<thead>
							<tr>
								<th style="text-align:center">CLIENTE</th>
								<th style="text-align:center">SERVICIO</th>
								<th style="text-align:center">ESTATUS</th>
								<th style="text-align:center">PERÍODOS ACTIVOS</th>
								<th style="text-align:center">DÍAS ACTIVOS</th>
								<th style="text-align:center">PERMANENCIA TOTAL</th>
							</tr>
						</thead>
						<tbody>
						</tbody>
					</table>
				</div>
			</div>
			<!-- end panel-body -->
		</div>
		<!-- end panel -->
	</div>
</div>
<!-- end row -->

<!-- begin scroll to top btn -->
<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i
		class="fa fa-angle-up"></i></a>
<!-- end scroll to top btn -->
{% endblock %}

{% block pageleveljs %}
<script type="text/javascript">
	//active menu
	document.getElementById("reports_menu").classList.add("active");
	//active submenu item
	document.getElementById("durationreport_item").classList.add("active");
</script>
<script src="{% static 'assets/plugins/datatables.net/jquery.dataTables.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/datatables.net-bs4/js/dataTables.bootstrap4.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/datatables.net-responsive/js/dataTables.responsive.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js' %}"
	defer></script>
<script src="{% static 'assets/plugins/select2/dist/js/select2.min.js' %}"></script>
<script type="text/javascript" src="{% static 'theme/build/js/pages/duration-record.js' %}"></script>
{% endblock %}